/*ScianDrawings.h
  Little drawing elements to put on space panels, etc.
  Eric Pepke
  March 3, 1992
*/

/*Shadows*/
#define SH_NONE			0
#define SH_DITHERED		1
#define SH_ALPHA		2
#define SH_BLACK		3

extern int nAnnot;
extern int nRect;
extern int nLine;
extern int nTimeReadout;


#define RECT_SHADOW	6	/*Drop for rectangle shadow*/
#define LINE_SHADOW	6	/*Drop for line shadow*/

ObjPtr CloneAnnotation();
ObjPtr CloneTimeReadout();
ObjPtr CloneLine();
ObjPtr CloneRectangle();
ObjPtr DuplicateDrawing();
ObjPtr BringDrawingToTop();
ObjPtr PushDrawingToBottom();
ObjPtr MoveDrawingToBackPanel();
ObjPtr MoveDrawingToFrontPanel();

#ifdef PROTO
ObjPtr NewRectangle(int, int, int, int, char *);
ObjPtr NewLine(int, int, int, int, char *);
void InitDrawings(void);
void KillDrawings(void);
#else
ObjPtr NewRectangle();
ObjPtr NewLine();
void InitDrawings();
void KillDrawings();
#endif
